API reference · Recurring Donations
Get a recurring donation
GET/v1/recurring-donations/{recurringDonationId}
Retrieve information about a recurring donation.
Requires a Bearer access token.
Parameters
This field has no description in the spec.
recurringDonationId#stringin pathrequired
Response
200 · RecurringDonationNo field is described in the spec.
recurringDonationId#stringalways returnedtype#RecurringDonationTypealways returnedFREQUENCYMANUALamountType#RecurringDonationAmountTypealways returnedFIXED_AMOUNTRATEstatus#RecurringDonationStatusalways returnedPENDINGACTIVEPAUSEDCANCELEDhasBeenCharged#booleanalways returnedfeeType#FeeTypealways returnedEXCLUDEDINCLUDEDamount#integer (int64)always returnedrate#numberbaseAmount#integer (int64)withRounding#booleanalways returnedfrequency#stringsecret#stringalways returnedexternalId#stringuniqueExternalId#stringsendingMode#CampaignSendingModealways returnedMANUALEMAILPHYSICALSLACKPOSTALsendingDate#string (date-time)sendingStatus#DonationSendingStatusalways returnedPENDINGFAILEDDONElastReminderId#stringmessage#stringreminderMessage#stringfrom#stringlanguage#Languagealways returnedfrenaccountId#stringalways returnedcampaignId#stringalways returnedcharityId#stringdonorId#stringalways returnedcreatedAt#string (date-time)always returnedupdatedAt#string (date-time)always returned
Errors
401Unauthorized
Missing, expired or invalid access token.
{ "statusCode": 401, "message": "Unauthorized" }403Account closed
{ "message": "Account closed", "code": "ACCOUNT_CLOSED" }404Not Found
{ "statusCode": 404, "message": "Not Found" }
curl -X GET https://api.sandbox.charitips.com/v1/recurring-donations/<recurringDonationId> \ -H "Authorization: Bearer $CHARITIPS_TOKEN"Request bodies are written for this docs and checked against the API's validation; ids in angle brackets are placeholders. Response values are placeholders built from the schema.